From 3b8bc266292e3b433d0933aedae837e8800ac6d3 Mon Sep 17 00:00:00 2001
From: Javi Fontan <jfontan@gmail.com>
Date: Wed, 3 Jun 2009 17:45:36 +0200
Subject: [PATCH 1/2] Make OpenNebula drivers compile

---
 src/opennebula/one_conf.c   |   22 ++++++++++++++--------
 src/opennebula/one_driver.c |    2 ++
 2 files changed, 16 insertions(+), 8 deletions(-)

diff --git a/src/opennebula/one_conf.c b/src/opennebula/one_conf.c
index dc0eff0..955897b 100644
--- a/src/opennebula/one_conf.c
+++ b/src/opennebula/one_conf.c
@@ -225,18 +225,24 @@ char* xmlOneTemplate(virConnectPtr conn,virDomainDefPtr def)
         }
     }
 
-    if (def->graphics != NULL) {
-        if (def->graphics->type == VIR_DOMAIN_GRAPHICS_TYPE_VNC) {
+    for(i=0;i<def->ngraphics;i++) {
+        if (def->graphics[i] == NULL)
+            continue;
+
+        if (def->graphics[i]->type == VIR_DOMAIN_GRAPHICS_TYPE_VNC) {
             virBufferAddLit(&buf,"GRAPHICS = [\n  type = \"vnc\"");
 
-            if (def->graphics->data.vnc.listenAddr != NULL)
-                virBufferVSprintf(&buf,",\n  listen = \"%s\"",def->graphics->data.vnc.listenAddr);
+            if (def->graphics[i]->data.vnc.listenAddr != NULL)
+                virBufferVSprintf(&buf,",\n  listen = \"%s\"",
+                    def->graphics[i]->data.vnc.listenAddr);
 
-            if (def->graphics->data.vnc.autoport == 0)
-                virBufferVSprintf(&buf,",\n  port = \"%d\"",def->graphics->data.vnc.port);
+            if (def->graphics[i]->data.vnc.autoport == 0)
+                virBufferVSprintf(&buf,",\n  port = \"%d\"",
+                    def->graphics[i]->data.vnc.port);
 
-            if (def->graphics->data.vnc.passwd != NULL)
-                virBufferVSprintf(&buf,",\n  passwd = \"%s\"",def->graphics->data.vnc.passwd);
+            if (def->graphics[i]->data.vnc.passwd != NULL)
+                virBufferVSprintf(&buf,",\n  passwd = \"%s\"",
+                    def->graphics[i]->data.vnc.passwd);
 
             virBufferAddLit(&buf," ]\n");
 
diff --git a/src/opennebula/one_driver.c b/src/opennebula/one_driver.c
index 70da4fa..5e24dbf 100644
--- a/src/opennebula/one_driver.c
+++ b/src/opennebula/one_driver.c
@@ -749,6 +749,8 @@ static virDriver oneDriver = {
     NULL, /* domainGetSecurityLabel */
     NULL, /* nodeGetSecurityModel */
     NULL, /* domainDumpXML */
+    NULL, /* domainXMLFromNative */
+    NULL, /* domainXMLToNative */
     oneListDefinedDomains, /* listDefinedDomains */
     oneNumDefinedDomains, /* numOfDefinedDomains */
     oneDomainStart, /* domainCreate */
-- 
1.6.1.2

